﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DotNettyFrom.config;

namespace DotNettyFrom.common
{
    [Serializable]
    public class UIInfoModel
    {
        public int action = -1;
        public DateTime time = DateTime.Now;
        public string info = "";

        public string cmd = "";

        //true 发送的. false:接收的
        public bool IsSend = false;


        public UIInfoModel(string info, string cmd)
        {
            this.info = info;
            this.cmd = cmd;
        }


        public UIInfoModel(string info)
        {
            this.info = info;
        }

        public UIInfoModel setAction(int action)
        {
            this.action = action;
            return this;
        }

        public UIInfoModel setIsSend(bool IsSend)
        {
            this.IsSend = IsSend;
            return this;
        }

        public UIInfoModel setCmd(string cmd)
        {
            this.cmd = cmd;
            return this;
        }


        public UIInfoModel setInfo(string info)
        {
            this.info = info;
            return this;
        }


        public override string ToString()
        {
            string res = time + " - ";
            if (!info.Trim().Equals(""))
            {
                res += this.info + " . ";
            }

            if (!cmd.Trim().Equals(""))
            {
                res += "cmdId=" + cmd.Substring(SystemConfig.FunctionCodeStartPos, SystemConfig.FunctionCodeLength) +
                       ".cmd=[" + cmd + "]";
            }
            return res;
        }
    }
}